# Obtener objeto

Para obtener un objeto en cliente, se debe enviar un GET como el que se especifica a continuación.

<mark style="color:blue;">`GET`</mark> `https://api.persat.com.ar/v1/clientobjvalue/uid_client/obj_id/field_1`

#### Path Parameters

| Name                                          | Type   | Description                                                    |
| --------------------------------------------- | ------ | -------------------------------------------------------------- |
| uid\_client<mark style="color:red;">\*</mark> | String | Identificador del cliente                                      |
| obj\_id<mark style="color:red;">\*</mark>     | number | Indentificador de la plantilla del objeto en cliente.Heladeras |
| field\_1<mark style="color:red;">\*</mark>    | String | Identificador del objeto a obtener                             |

#### Headers

| Name                                            | Type   | Description     |
| ----------------------------------------------- | ------ | --------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer API\_KEY |

{% tabs %}
{% tab title="200: OK La consulta se ejecutó con éxito" %}

```json
{
    "success": true,
    "data": {
        "uid_client": "AABC9098",
        "obj_id": 2,
        "fields": {
            "1": "AABCSA090AA",
            "4": "No frost",
            "3": "1500",
            "6": "",
            "7": "",
            "8": ""
        },
        "updated": "2022-05-19T19:15:11.000Z"
    }
}
```

{% endtab %}

{% tab title="404: Not Found El objeto no existe" %}

```json
{
    "success": false,
    "error": {
        "status": 404,
        "type": "NOT_FOUND",
        "userMessage": "No existe el obj_id: 321321"
    }
}
```

{% endtab %}

{% tab title="400: Bad Request Error en alguno de los campos enviados. userMessage contiene informacipon adicional." %}

```javascript
{
    "success": false,
    "error": {
        "status": 400,
        "type": "BAD_REQUEST",
        "userMessage": "'obj_id' es un number (entero) obligatorio"
    }
}
```

{% endtab %}
{% endtabs %}

### Analizando la Respuesta

En caso que no haya ningun error, obtenemos

```json
{
    "success": true,
    "data": {
        "uid_client": "AABC9098",
        "obj_id": 2,
        "fields": {
            "1": "AABCSA090AA",
            "4": "No frost",
            "3": "1500",
            "6": "",
            "7": "",
            "8": ""
        },
        "updated": "2022-05-19T19:15:11.000Z"
    }
}
```

**uid\_client:** Es el identificador del cliente en el que se encuentra el objeto.

**obj\_id:** Es el identificador del tipo de objeto. Podemos tener varios objetos configurados, como "Heladeras", "Matafuegos", etc

**fields:** JSON Object, con los atributos del objeto. Son como las columnas de la tabla. En donde la columna "1" es la mas importante ya que es el identificador del objeto, y es un valor único por cliente.

{% hint style="info" %}
Para ver los identificadores de cada field [Identificación de los Objetos en Cliente](/entidades-basicas/objetos-en-cliente.md#identificacion-de-los-objetos-en-clientes)
{% endhint %}

**updated:** Es la fecha de inserción o modificación en UTC


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.persat.com.ar/entidades-basicas/objetos-en-cliente/obtener-objeto.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
